io.vertx.rxjava.core.http

## Class HttpServerFileUpload

- java.lang.Object
- - io.vertx.rxjava.core.http.HttpServerFileUpload

- All Implemented Interfaces:
    ReadStream<Buffer>, StreamBase

      public class HttpServerFileUpload
      extends Object
      implements ReadStream<Buffer>

  Represents an file upload from an HTML FORM.

  NOTE: This class has been automatically generated from the `original` non RX-ified interface using Vert.x codegen.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static TypeArg<HttpServerFileUpload>` | `__TYPE_ARG`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `HttpServerFileUpload(HttpServerFileUpload delegate)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `charset()`
    `String` | `contentTransferEncoding()`
    `String` | `contentType()`
    `HttpServerFileUpload` | `endHandler(Handler<Void> endHandler)` Set an end handler.
    `HttpServerFileUpload` | `exceptionHandler(Handler<Throwable> handler)` Set an exception handler on the read stream.
    `String` | `filename()`
    `HttpServerFileUpload` | `getDelegate()`
    `HttpServerFileUpload` | `handler(Handler<Buffer> handler)` Set a data handler.
    `boolean` | `isSizeAvailable()`
    `String` | `name()`
    `static HttpServerFileUpload` | `newInstance(HttpServerFileUpload arg)`
    `HttpServerFileUpload` | `pause()` Pause the `ReadSupport`.
    `HttpServerFileUpload` | `resume()` Resume reading.
    `long` | `size()` The size of the upload may not be available until it is all read.
    `HttpServerFileUpload` | `streamToFileSystem(String filename)` Stream the content of this upload to the given file on storage.
    `rx.Observable<Buffer>` | `toObservable()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface io.vertx.rxjava.core.streams.ReadStream

      `newInstance, newInstance`

    - ### Methods inherited from interface io.vertx.rxjava.core.streams.StreamBase

      `newInstance`

- - ### Field Detail

    - #### __TYPE_ARG

          public static final TypeArg<HttpServerFileUpload> __TYPE_ARG

  - ### Constructor Detail

    - #### HttpServerFileUpload

          public HttpServerFileUpload(HttpServerFileUpload delegate)

  - ### Method Detail

    - #### getDelegate

          public HttpServerFileUpload getDelegate()

      Specified by:
        `getDelegate` in interface `ReadStream<Buffer>`
      Specified by:
        `getDelegate` in interface `StreamBase`

    - #### toObservable

          public rx.Observable<Buffer> toObservable()

      Specified by:
        `toObservable` in interface `ReadStream<Buffer>`

    - #### exceptionHandler

          public HttpServerFileUpload exceptionHandler(Handler<Throwable> handler)

      Description copied from interface: `ReadStream`
      Set an exception handler on the read stream.
      Specified by:
        `exceptionHandler` in interface `ReadStream<Buffer>`
      Specified by:
        `exceptionHandler` in interface `StreamBase`
      Parameters:
        `handler` - the exception handler
      Returns:
        a reference to this, so the API can be used fluently

    - #### handler

          public HttpServerFileUpload handler(Handler<Buffer> handler)

      Description copied from interface: `ReadStream`
      Set a data handler. As data is read, the handler will be called with the data.
      Specified by:
        `handler` in interface `ReadStream<Buffer>`
      Returns:
        a reference to this, so the API can be used fluently

    - #### endHandler

          public HttpServerFileUpload endHandler(Handler<Void> endHandler)

      Description copied from interface: `ReadStream`
      Set an end handler. Once the stream has ended, and there is no more data to be read, this handler will be called.
      Specified by:
        `endHandler` in interface `ReadStream<Buffer>`
      Returns:
        a reference to this, so the API can be used fluently

    - #### pause

          public HttpServerFileUpload pause()

      Description copied from interface: `ReadStream`
      Pause the `ReadSupport`. While it's paused, no data will be sent to the `dataHandler`
      Specified by:
        `pause` in interface `ReadStream<Buffer>`
      Returns:
        a reference to this, so the API can be used fluently

    - #### resume

          public HttpServerFileUpload resume()

      Description copied from interface: `ReadStream`
      Resume reading. If the `ReadSupport` has been paused, reading will recommence on it.
      Specified by:
        `resume` in interface `ReadStream<Buffer>`
      Returns:
        a reference to this, so the API can be used fluently

    - #### streamToFileSystem

          public HttpServerFileUpload streamToFileSystem(String filename)

      Stream the content of this upload to the given file on storage.
      Parameters:
        `filename` - the name of the file
      Returns:

    - #### filename

          public String filename()

      Returns:
        the filename which was used when upload the file.

    - #### name

          public String name()

      Returns:
        the name of the attribute

    - #### contentType

          public String contentType()

      Returns:
        the content type for the upload

    - #### contentTransferEncoding

          public String contentTransferEncoding()

      Returns:
        the contentTransferEncoding for the upload

    - #### charset

          public String charset()

      Returns:
        the charset for the upload

    - #### size

          public long size()

      The size of the upload may not be available until it is all read. Check `isSizeAvailable()` to determine this
      Returns:
        the size of the upload (in bytes)

    - #### isSizeAvailable

          public boolean isSizeAvailable()

      Returns:
        true if the size of the upload can be retrieved via `size()`.

    - #### newInstance

          public static HttpServerFileUpload newInstance(HttpServerFileUpload arg)

Copyright © 2017. All rights reserved.